List posts in a list
List recent posts from the accounts in an X list. Paginate with cursor and has_more. An unknown list ID returns data: null.
5 credits / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
list_id*string
Numeric list ID from the list's x.com/i/lists URL.
Match
^\d{1,25}$cursor?string
cursor from the previous response. Omit for the first page and send it unchanged for later pages.
Length
length <= 2000curl -X GET "https://example.com/v1/x/list/posts?list_id=1470954161587978244" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "posts": [ { "id": "2110951278868312160", "url": "https://x.com/cz_binance/status/2110951278868312160", "text": "@tradorblu Sure did.", "lang": "en", "source": "Twitter for iPhone", "created_at": "2026-10-16T04:29:39.000Z", "like_count": 53, "reply_count": 38, "repost_count": 5, "quote_count": 4, "view_count": 30426, "bookmark_count": 1, "is_reply": true, "in_reply_to_post_id": "2110950465328537938", "in_reply_to_user_id": "1936223506548899842", "in_reply_to_handle": "tradorblu", "conversation_id": "2110949227283329244", "is_pinned": null, "author": { "id": "902926941413453824", "handle": "cz_binance", "name": "CZ 🔶 BNB", "description": null, "location": null, "website": null, "avatar_url": "https://pbs.twimg.com/profile_images/2041696316451909632/7K4xEnRE_normal.jpg", "banner_url": "https://pbs.twimg.com/profile_banners/902926941413453824/1597864552", "followers_count": 12994231, "following_count": 1244, "posts_count": 9359, "media_count": 1005, "likes_count": 18393, "is_verified": false, "is_blue_verified": true, "verified_type": null, "protected": null, "created_at": "2017-08-30T16:12:13.000Z", "pinned_post_ids": [ "2050391023034216808" ], "is_automated": false }, "media": [], "hashtags": [], "mentions": [ { "id": "1936223506548899842", "handle": "tradorblu", "name": "blu" } ], "urls": [], "card": null, "article": null, "place": null, "quoted_post": null, "reposted_post": null }, { "id": "2110949511237632338", "url": "https://x.com/cz_binance/status/2110949511237632338", "text": "@TylerDurden X investment got rolled into SPCX, worked out well. 🙏", "lang": "en", "source": "Twitter for iPhone", "created_at": "2026-10-16T04:22:37.000Z", "like_count": 440, "reply_count": 76, "repost_count": 16, "quote_count": 10, "view_count": 38495, "bookmark_count": 10, "is_reply": true, "in_reply_to_post_id": "2110947385602146318", "in_reply_to_user_id": "1469851247133945856", "in_reply_to_handle": "TylerDurden", "conversation_id": "2110946493536346548", "is_pinned": null, "author": { "id": "902926941413453824", "handle": "cz_binance", "name": "CZ 🔶 BNB", "description": null, "location": null, "website": null, "avatar_url": "https://pbs.twimg.com/profile_images/2041696316451909632/7K4xEnRE_normal.jpg", "banner_url": "https://pbs.twimg.com/profile_banners/902926941413453824/1597864552", "followers_count": 12994231, "following_count": 1244, "posts_count": 9359, "media_count": 1005, "likes_count": 18393, "is_verified": false, "is_blue_verified": true, "verified_type": null, "protected": null, "created_at": "2017-08-30T16:12:13.000Z", "pinned_post_ids": [ "2050391023034216808" ], "is_automated": false }, "media": [], "hashtags": [], "mentions": [ { "id": "1469851247133945856", "handle": "TylerDurden", "name": "Tyler" } ], "urls": [], "card": null, "article": null, "place": null, "quoted_post": null, "reposted_post": null } ], "count": 2, "cursor": "DAADDAABCgABHUvEHklaMcwKAAIdSyLVYtpRvQAIAAIAAAACCAADAAAAAAgABAAAAAAKAAUdS-T9lsAnEAoABh1L5P2Wv9jwCwAH", "has_more": true }}